%define upstream_name    Net-SMTP-TLS
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    TLS and AUTH enabled mail client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC_MD5)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Net::SSLeay)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
*Net::SMTP::TLS* is a TLS and AUTH capable SMTP client which offers an
interface that users will find familiar from the Net::SMTP manpage.
*Net::SMTP::TLS* implements a subset of the methods provided by that
module, but certainly not (yet) a complete mirror image of that API.

The methods supported by *Net::SMTP::TLS* are used in the above example.
Though self explanatory for the most part, please see the perldoc for the
Net::SMTP manpage if you are unclear.

The differences in the methods provided are as follows:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.120.0-11.mga9
+ Revision: 1804994
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-10.mga8
+ Revision: 1496038
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.120.0-9.mga7
+ Revision: 1269994
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-8.mga6
+ Revision: 1031323
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-7.mga6
+ Revision: 949689
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 790192
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 745807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 685721
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 513512
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 370865
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 32269
- mageia rebuild
- imported package perl-Net-SMTP-TLS


* Fri Dec 24 2010 Shlomi Fish <shlomif@mandriva.org> 0.120.0-1mdv2011.0
+ Revision: 624630
- import perl-Net-SMTP-TLS

